Bio Radio SDK - Xamarin Android: CommonDeviceAPI.Android.BluetoothSearchUtility Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Events | List of all members
CommonDeviceAPI.Android.BluetoothSearchUtility Class Reference

Blue tooth search utility device. More...

Inheritance diagram for CommonDeviceAPI.Android.BluetoothSearchUtility:

## Public Member Functions

| BluetoothSearchUtility (string prefix)
| Blue tooth search utility method. More...
void | RaiseDeviceFoundEvent (BluetoothDeviceInfo deviceInfo)
| Raise the device found event. More...
void | StartDeviceScan ()
| Start scanning for devices. More...
void | StopDeviceScan ()
| Stop scanning for devices. More...
List< BluetoothDeviceInfo > | FindBluetoothDevices ()
| Return a list of fonded blue tooth devices. More...
List< BluetoothDeviceInfo > | FindPairedBluetoothDevices ()
| Find paired blue tooth devices. More...
void | Dispose ()
| Dispose a blue tooth device. More...

## Events

EventHandler< DeviceFoundEventArgs > | DeviceFoundEvent
| Event Handler device found. More...
Events inherited from GLNeuroTech.Devices.Common.IDeviceSearchUtility
EventHandler< DeviceFoundEventArgs > | DeviceFoundEvent
| Event raised when a device has been found after calling StartDeviceScan More...

## Detailed Description

Blue tooth search utility device.

## Constructor & Destructor Documentation

## ◆ BluetoothSearchUtility()

CommonDeviceAPI.Android.BluetoothSearchUtility.BluetoothSearchUtility | ( | string | prefix | ) |

Blue tooth search utility method.

Parameters

  prefix | Take a prefix as a string.

## Member Function Documentation

## ◆ Dispose()

void CommonDeviceAPI.Android.BluetoothSearchUtility.Dispose | ( |  | ) |

Dispose a blue tooth device.

## ◆ FindBluetoothDevices()

List<BluetoothDeviceInfo> CommonDeviceAPI.Android.BluetoothSearchUtility.FindBluetoothDevices | ( |  | ) |

Return a list of fonded blue tooth devices.

Returns
  A list of BluetoothDeviceInfo.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## ◆ FindPairedBluetoothDevices()

List<BluetoothDeviceInfo> CommonDeviceAPI.Android.BluetoothSearchUtility.FindPairedBluetoothDevices | ( |  | ) |

Find paired blue tooth devices.

Returns
  Return a list of BluetoothDeviceInfo.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## ◆ RaiseDeviceFoundEvent()

void CommonDeviceAPI.Android.BluetoothSearchUtility.RaiseDeviceFoundEvent | ( | BluetoothDeviceInfo | deviceInfo | ) |

Raise the device found event.

Parameters

  deviceInfo | Take a device information as a BluetoothDeviceInfo.

## ◆ StartDeviceScan()

void CommonDeviceAPI.Android.BluetoothSearchUtility.StartDeviceScan | ( |  | ) |

Start scanning for devices.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## ◆ StopDeviceScan()

void CommonDeviceAPI.Android.BluetoothSearchUtility.StopDeviceScan | ( |  | ) |

Stop scanning for devices.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## Event Documentation

## ◆ DeviceFoundEvent

EventHandler<DeviceFoundEventArgs> CommonDeviceAPI.Android.BluetoothSearchUtility.DeviceFoundEvent

Event Handler device found.